div.background {
  width: 100vw;
  height: 100vh;
  background-color: rgb(55, 55, 55);

  display: flex;
  align-items: center;
  justify-content: center;

  & > div.container {
    & > nav.navbar{
      position: fixed;
      top: 0;
      left: 0;
      width: 100vw;

      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0.5rem 1rem;
      background: #0070f3;
      color: #fff;
      font-size: 1.25rem;
      font-weight: bold;
      border-radius: 5px;

      & div.navbarLinks {
        display: flex;
        align-items: center;
        justify-content: space-between;
      }

      & a {
        color: #fff;
        text-decoration: none;
        margin-left: 1rem;
        font-size: 1.25rem;
        font-weight: bold;
        border-radius: 5px;
        transition: color 0.15s ease, border-color 0.15s ease;
        max-width: 300px;
      }
    }

    & > div.logged {
      display: flex;
      flex-direction: column;
      gap: 20px;
      align-items: center;
      justify-content: center;

      & > img {
        border-radius: 100%;
      }
    }

    & div.popup {
      width: 30vw;
      height: 70vh;
      background-color: white;
      border-radius: 5%;

      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      gap: 20px;

      & > form.forms {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
  
        & > label {
          display: flex;
          flex-direction: column;
  
          color: black;
  
  
          & > input {
            background-color: rgb(233, 233, 233);
            border: none;
            border-radius: 20px;
  
            width: 300px;
            height: 25px;
  
            padding: 0 10px;
            color: black;
  
            &:hover {
              outline: 2px solid rgb(209, 209, 209);
            }
            &:focus {
              outline: 2px solid rgb(207, 246, 254);
              background-color: rgb(227, 250, 255);
            }
  
          }
        }
      }
    }
  }
}





@media (max-width: 600px) {
  .grid {
    width: 100%;
    flex-direction: column;
  }
}

@media (prefers-color-scheme: dark) {
  .card,
  .footer {
    border-color: #222;
  }
  .code {
    background: #111;
  }
  .logo img {
    filter: invert(1);
  }
}